#
# spec file for package libsndfile (Version 0.0.24)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libsndfile
Summary:      A library to handle various audio file formats
Version:      0.0.24
Release:      20
Copyright:	LGPL
Group:		System Environment/Libraries
Obsoletes:	libsnd
Provides:	libsnd
Source: libsndfile-%{version}.tar.bz2
Patch: libsndfile.dif
URL: http://www.zip.com.au/~erikd/libsndfile/
BuildRoot:	/tmp/%{name}-%{version}-root

%description
The libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV iles through one standard interface.  It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating point
WAV files and a number of compressed formats.

Authors:
--------
    Erik de Castro Lopo <erikd@zip.com.au>

SuSE series: snd

%package devel
Summary:      Development package for the libsndfile library
Group:	Development/Libraries
Requires:	libsndfile glibc-devel
Obsoletes:	libsndd
Provides:	libsndd

%description devel
This package contains the files needed to compile programs that
use the libsndfile library.

Authors:
--------
    Erik de Castro Lopo <erikd@zip.com.au>

SuSE series: snd

%prep
%setup
%patch
%{?suse_update_config:%{suse_update_config -fl}}
libtoolize -f
aclocal
automake -a
autoconf

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix}
make

%install
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install-strip

%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc doc/*.html doc/*.jpg doc/*.HOWTO
%{_libdir}/libsndfile.so.*

%files devel
%{_libdir}/libsndfile.so
%{_libdir}/libsndfile.a
%{_libdir}/libsndfile.la
%{_includedir}/sndfile.h

%changelog -n libsndfile
* Tue Aug 28 2001 - tiwai@suse.de
- updated to ver.0.0.24.
  + Added support for 32 bit floating point AIFC files, little endian AIFC
  files and 16, 24 and 32 bit Sphere NIST files.
  + Massive refactoring of internal code.
  + Added read and write handling of PEAK chunks on AIFF and WAV files.
  + Added read support for REX files (Propellerheads Reason).
  + Added sf_read_float () and sf_write_float () interfaces.
  + Minor bug fixes.
- changed group tag to System/Libraries
* Fri Aug 03 2001 - tiwai@suse.de
- fixed compile on s390.
* Thu Jun 07 2001 - tiwai@suse.de
- fixed compile with the latest libtool & autoconf.
* Tue Apr 03 2001 - kukuk@suse.de
- move *.so files into devel package
- Remove kernel_header requires
- Fix glibc-devel dependencies
* Wed Dec 13 2000 - tiwai@suse.de
- fixed compile on ia64.
* Thu Nov 02 2000 - ro@suse.de
- changed Group to Development/Libraries (old group did not exist)
* Thu Nov 02 2000 - tiwai@suse.de
- Updated to 0.0.22.
- Changed for long package-name support (libsnd -> libsndfile,
  libsndd -> libsndfile-devel).
* Tue Sep 26 2000 - tiwai@suse.de
- changed to bzip2.
- added suse_update_config.
* Wed Sep 06 2000 - tiwai@suse.de
- Initial version: 0.0.21.
